list:
  namespace: "Molecules/HTML"
  use: "@molecules/html/list/list.twig"
  label: List
  description: Component for displaying rich text, for example from a WYSIWYG editor. Check https://github.com/tailwindlabs/tailwindcss-typography for more informations.
  fields:
    list:
      type: object
      label: Items
      preview:
        - "Item One"
        - "Item Two"
        -
          - "Item A"
          - "Item B"
          - "Item C"
          -
            - "Item i"
            - "Item ii"
            - "Item iii"
        - "<a href='here'>There</a>"
        -
          - "Item Fa"
          -
            - "Item Fi"
        - "Item final"
    pre_list:
      type: pattern
      label: Pre List
      description: Any list item to be rendered before items list
    post_list:
      type: pattern
      label: Post List
      description: Any list item to be rendered after items list

  settings:
    type:
      type: select
      label: Type
      preview: ul
      options:
        ul: Unordered
        ol: Ordered
    list_class:
      type: textfield
      label: List class
    item_class:
      type: textfield
      label: Item class
    item_prefix:
      type: textfield
      label: Item prefix
    wrapper_attr:
      type: attributes
      label: List Attributes
      description: An attributes object from a parent template.
    item_attr:
      type: attributes
      label: Item Attributes
      description: An attributes object from a list item template.
